const Request = require("./Request")

class Order extends Request {

    constructor() {
        super()
    }

    getOrders(params) {
        return this.request({
            method: 'GET',
            path: '/v2/providers/openapi/apis/api/v4/vendors/' + this.vendorId + '/ordersheets?' + this.getQuery(params)
        })
    }

    getOrder(categoryCode) {
        return this.request({
            method: 'GET',
            path: '/v2/providers/seller_api/apis/api/v1/marketplace/meta/category-related-metas/display-category-codes/' + categoryCode
        })
    }
}



module.exports = Order